net.sf.saxon.query

## Class UndeclaredVariable

- java.lang.Object
- - net.sf.saxon.expr.instruct.GeneralVariable
  - - net.sf.saxon.expr.instruct.GlobalVariable
    - - net.sf.saxon.query.UndeclaredVariable

- All Implemented Interfaces:
    Serializable, SourceLocator, LocationProvider, SaxonLocator, Binding, Container, Declaration, InstructionInfo, Locator

      public class UndeclaredVariable
      extends GlobalVariable

  An UndeclaredVariable object is created when a reference is encountered to a variable that has not yet been declared. This can happen as a result of recursive module imports. These references are resolved at the end of query parsing.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.instruct.GlobalVariable

      `references`

    - ### Fields inherited from class net.sf.saxon.expr.instruct.GeneralVariable

      `evaluationMode, referenceCount, slotNumber, variableQName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndeclaredVariable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compile(Executable exec, int slot)` Create a compiled representation of this global variable
    `void` | `transferReferences(GlobalVariable var)`

    - ### Methods inherited from class net.sf.saxon.expr.instruct.GlobalVariable

      `actuallyEvaluate, evaluateVariable, getColumnNumber, getConstructType, getContainer, getContainerGranularity, getExecutable, getHostLanguage, getLineNumber, getLineNumber, getObjectName, getOriginalVariable, getProperties, getProperty, getSelectValue, getSystemId, getUltimateOriginalVariable, isAssignable, isGlobal, isIndexedVariable, isPrivate, iterateReferences, lookForCycles, registerReference, setAssignable, setContainsLocals, setDependencies, setExecutable, setIndexedVariable, setLineNumber, setOriginalVariable, setPrivate, setSystemId, typeCheck`

    - ### Methods inherited from class net.sf.saxon.expr.instruct.GeneralVariable

      `addReference, checkAgainstRequiredType, computeEvaluationMode, copy, explain, getCardinality, getColumnNumber, getEvaluationMode, getInstructionNameCode, getIntegerBoundsForVariable, getLocalSlotNumber, getLocationId, getLocationProvider, getPublicId, getRequiredType, getSelectExpression, getSlotNumber, getSystemId, getVariableQName, init, isImplicitlyRequiredParam, isRequiredParam, isTunnelParam, iterateSubExpressions, optimize, replaceSubExpression, setContainer, setImplicitlyRequiredParam, setLocationId, setReferenceCount, setRequiredParam, setRequiredType, setSelectExpression, setSlotNumber, setTunnel, setVariableQName, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.expr.Container

      `getLocationProvider`

    - ### Methods inherited from interface org.xml.sax.Locator

      `getColumnNumber, getPublicId`

    - ### Methods inherited from interface javax.xml.transform.SourceLocator

      `getColumnNumber, getPublicId`

    - ### Methods inherited from interface net.sf.saxon.event.LocationProvider

      `getSystemId`

- - ### Constructor Detail

    - #### UndeclaredVariable

          public UndeclaredVariable()

  - ### Method Detail

    - #### transferReferences

          public void transferReferences(GlobalVariable var)

    - #### compile

          public void compile(Executable exec,
                     int slot)
                       throws XPathException

      Description copied from class: `GlobalVariable`
      Create a compiled representation of this global variable
      Overrides:
        `compile` in class `GlobalVariable`
      Parameters:
        `exec` - the executable
        `slot` - the slot number allocated to this variable
      Throws:
        `XPathException` - if compile-time errors are found.

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.